odbc_num_fields
odbc_pconnect
ODBC Functions
PHP Manual

# odbc_num_rows

(PHP 4, PHP 5)

odbc_num_rows — Number of rows in a result

### Description

int odbc_num_rows ( resource `$result_id` )

Gets the number of rows in a result. For INSERT, UPDATE and DELETE statements odbc_num_rows() returns the number of rows affected. For a SELECT clause this can be the number of rows available.

### Parameters

`result_id`

  The result identifier returned by odbc_exec().

### Return Values

Returns the number of rows in an ODBC result. This function will return -1 on error.

### Notes

> Note:

> Using odbc_num_rows() to determine the number of rows available after a SELECT will return -1 with many drivers.

odbc_num_fields
odbc_pconnect
ODBC Functions
PHP Manual